org.apache.torque.templates.model

## Class ViewColumn

- java.lang.Object
- - org.apache.torque.templates.model.ViewColumn

-     public class ViewColumn
      extends Object

  The model of the column tag in a Torque schema file.
  Version:
    $Id: $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `_protected` Whether getters and setters for the field in the database object should be protected instead of public.
    `String` | `description` The description of (== comment for) the view column.
    `String` | `domain` The domain reference name to set common settings.
    `List<Inheritance>` | `inheritances` The list of inheritances for this view column.
    `String` | `javaName` The field name for the view column in the database object.
    `String` | `javaType` The type of the field for the view column in the database object.
    `String` | `name` The view column's name.
    `List<Option>` | `options` The list of options for this view column.
    `View` | `parent` The view to which the view column belongs.
    `String` | `scale` The scale of the view column.
    `String` | `select` The sql snippet which contains the value to select.
    `String` | `size` How many decimal places, characters or bytes the view column can take.
    `String` | `type` The type of the view column.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewColumn()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          public View parent

      The view to which the view column belongs.

    - #### options

          public List<Option> options

      The list of options for this view column.

    - #### inheritances

          public List<Inheritance> inheritances

      The list of inheritances for this view column.

    - #### name

          public String name

      The view column's name.

    - #### type

          public String type

      The type of the view column.

    - #### size

          public String size

      How many decimal places, characters or bytes the view column can take.

    - #### scale

          public String scale

      The scale of the view column.

    - #### javaName

          public String javaName

      The field name for the view column in the database object.

    - #### javaType

          public String javaType

      The type of the field for the view column in the database object.

    - #### domain

          public String domain

      The domain reference name to set common settings.

    - #### select

          public String select

      The sql snippet which contains the value to select.

    - #### _protected

          public String _protected

      Whether getters and setters for the field in the database object should be protected instead of public.

    - #### description

          public String description

      The description of (== comment for) the view column.

  - ### Constructor Detail

    - #### ViewColumn

          public ViewColumn()

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.